# $Id$

This repository contains the core libraries of the SKYRiX application
server, that is, extensions to the Foundation library (NGExtensions),
streaming IO and network classes (NGStreams), libraries for datastore
abstractions (EOControl), library for MIME and mail processing (NGMime).


MacOSX Notes
============
Locations:
currently some fixed pathes to /Users/helge/build might be used in the
project. those need to be fixed to use variables.

Precompiled Headers:
I did not find out how to setup precompiled headers to support a
MACOSX_DEPLOYMENT_TARGET=10.2, if this option is set, compilation
throws a mass of warnings about __CONSTANT_CFSTRINGS__ and cannot
use precompiled Foundation headers.
Something like this:
  fixPrecomps -force \
    -precompFlags "-D__CONSTANT_CFSTRINGS__" \
    -all
did not work out. Suggestions are welcome ...

Prebinding:
doesn't work yet, needs to be checked
